function [modelJoint]=minimalGrowthEnforcedRecon2(modelJoint)

% Makes sure that minimal growth (> 0.01 hr-1) is enforced during joint
% model simulations using Recon2. 


if find(ismember(modelJoint.rxns,'HSbiomass_reaction'));
    modelJoint = changeRxnBounds(modelJoint,'HSbiomass_reaction',0.01,'l');
end

if find(ismember(modelJoint.rxns,'BTBiomass_BT_v2'));
    modelJoint = changeRxnBounds(modelJoint,'BTBiomass_BT_v2',0.01,'l');
end

if find(ismember(modelJoint.rxns,'FPBiomass_FP'));
    modelJoint = changeRxnBounds(modelJoint,'FPBiomass_FP',0.01,'l');
end

if find(ismember(modelJoint.rxns,'ECEC_BIOMASS_IAF1260_WT_59P81M'));
    modelJoint=changeRxnBounds(modelJoint,{'ECEX_GLYC(e)'},0,'l');
    modelJoint = changeRxnBounds(modelJoint,'ECEC_BIOMASS_IAF1260_WT_59P81M',0.01,'l');
end

if find(ismember(modelJoint.rxns,'ESEC_BIOMASS_IAF1260_WT_59P81M'));
    modelJoint=changeRxnBounds(modelJoint,{'ESEX_GLYC_E'},0,'l');
    modelJoint = changeRxnBounds(modelJoint,'ESEC_BIOMASS_IAF1260_WT_59P81M',0.01,'l');
end

if find(ismember(modelJoint.rxns,'EEEC_BIOMASS_IAF1260_WT_59P81M'));
    modelJoint=changeRxnBounds(modelJoint,{'EEEX_GLYC(e)'},0,'l');
    modelJoint = changeRxnBounds(modelJoint,'EEEC_BIOMASS_IAF1260_WT_59P81M',0.01,'l');
end

if find(ismember(modelJoint.rxns,'HPBiomassHP_published'));
    modelJoint = changeRxnBounds(modelJoint,'HPBiomassHP_published',0.01,'l');
end

if find(ismember(modelJoint.rxns,'KPBiomass'));
    modelJoint = changeRxnBounds(modelJoint,'KPBiomass',0.01,'l');
end

if find(ismember(modelJoint.rxns,'LPbiomass_LPL60'));
    modelJoint = changeRxnBounds(modelJoint,'LPbiomass_LPL60',0.01,'l');
end

if find(ismember(modelJoint.rxns,'LLbiomass_LLA'));
    modelJoint = changeRxnBounds(modelJoint,'LLbiomass_LLA',0.01,'l');
end

if find(ismember(modelJoint.rxns,'STbiomass_STR'));
    modelJoint = changeRxnBounds(modelJoint,'STbiomass_STR',0.01,'l');
end

if find(ismember(modelJoint.rxns,'SEbiomass_iRR1083_metals'));
    modelJoint = changeRxnBounds(modelJoint,'SEbiomass_iRR1083_metals',0.01,'l');
end



