
% Calculates >2000 objectives for host Recon2 coupled with gut microbe
% reconstructions
% If you want to additionally perform flux variability analysis (very
% time-consuming), change the 'false' input to 'true'.

%%% Western diet Human %%%

JointModelsObjectives=[];
FVAJointModels=[];

% Germfree Human

load GF;
% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% enforce a minimal growth rate of 0.01
modelJoint = changeRxnBounds(modelJoint,'HSbiomass_reaction',0.01,'l');
% no oxygen uptake into lumen
modelJoint=changeRxnBounds(modelJoint,'HSIEX_o2[u]tr',0,'l');

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','GF','Western',false);

% Human/ B. thetaiotaomicron
load HS_BT;

modelJoint=minimalGrowthEnforcedRecon2(modelJoint);
% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BT','Western',false);

% Human/ F. prausnitzii

load HS_FP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','FP','Western',false);

% Human/ E. coli
load HS_EC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','EC','Western',false);

% Human/ L. plantarum
load HS_LP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','LP','Western',false);

% Human/ L. lactis
load HS_LL;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','LL','Western',false);

% Human/ S. thermophilus
load HS_ST;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ST','Western',false);

% Human/ H. pylori
load HS_HP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','HP','Western',false);

% Human/ K. pneumoneae
load HS_KP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','KP','Western',false);

% Human/ Salmonella e. serovar typhimurium
load HS_STy;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','STy','Western',false);

% Human/ E. coli EHEC Sakai
load HS_ECs;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ECs','Western',false);

% Human/ E. coli EDL933
load HS_ECe;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ECe','Western',false);

%% Human\ two commensal microbes
% BT/ FP

load HS_BTFP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BTFP','Western',false);

% BT/ EC

load HS_BTEC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BTEC','Western',false);

% BT/ LP

load HS_BTLP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BTLP','Western',false);

save(JointModelsObjectives_Western','JointModelsObjectives','-v7.3');

% BT/ ST

load HS_BTST;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BTST','Western',false);

% FP/ EC

load HS_FPEC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','FPEC','Western',false);

save(JointModelsObjectives_Western','JointModelsObjectives','-v7.3');

% FP/ LP

load HS_FPLP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','FPLP','Western',false);

% FP/ ST

load HS_FPST;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','FPST','Western',false);

% LP/ EC

load HS_LPEC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ECLP','Western',false);


% ST/ EC

load HS_STEC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ECST','Western',false);

% LP/ ST

load HS_LPST;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','LPST','Western',false);

save(JointModelsObjectives_Western','JointModelsObjectives','-v7.3');


%% Human/ five commensal microbes pooled

% BT/ FP/ EC/ LP/ ST

load HS_5CM;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','CF','Western',false);

save(JointModelsObjectives_Western','JointModelsObjectives','-v7.3');

%% Human + 5 pathogens

load HS_5PM;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','PM','Western',false);

save(JointModelsObjectives_Western','JointModelsObjectives','-v7.3');

%% Human + all 11 microbes

load HS_All;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietWesternRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ALL','Western',false);
save(JointModelsObjectives_Western','JointModelsObjectives','-v7.3');

%% HighCarb diet Human %%%

JointModelsObjectives=[];
FVAJointModels=[];

% Germfree Human

load GF;
% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% enforce a minimal growth rate of 0.01
modelJoint = changeRxnBounds(modelJoint,'HSbiomass_reaction',0.01,'l');
% no oxygen uptake into lumen
modelJoint=changeRxnBounds(modelJoint,'HSIEX_o2[u]tr',0,'l');

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','GF','HighCarb',false);

% Human/ B. thetaiotaomicron
load HS_BT;

modelJoint=minimalGrowthEnforcedRecon2(modelJoint);
% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BT','HighCarb',false);

% Human/ F. prausnitzii

load HS_FP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','FP','HighCarb',false);

% Human/ E. coli
load HS_EC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','EC','HighCarb',false);

% Human/ L. plantarum
load HS_LP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','LP','HighCarb',false);

% Human/ L. lactis
load HS_LL;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','LL','HighCarb',false);

% Human/ S. thermophilus
load HS_ST;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ST','HighCarb',false);

% Human/ H. pylori
load HS_HP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','HP','HighCarb',false);

% Human/ K. pneumoneae
load HS_KP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','KP','HighCarb',false);

% Human/ Salmonella e. serovar typhimurium
load HS_STy;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','STy','HighCarb',false);

% Human/ E. coli EHEC Sakai
load HS_ECs;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ECs','HighCarb',false);

% Human/ E. coli EDL933
load HS_ECe;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ECe','HighCarb',false);

%% Human\ two commensal microbes
% BT/ FP

load HS_BTFP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BTFP','HighCarb',false);

% BT/ EC

load HS_BTEC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BTEC','HighCarb',false);

% BT/ LP

load HS_BTLP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BTLP','HighCarb',false);

save(JointModelsObjectives_HighCarb','JointModelsObjectives','-v7.3');

% BT/ ST

load HS_BTST;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BTST','HighCarb',false);

% FP/ EC

load HS_FPEC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','FPEC','HighCarb',false);

save(JointModelsObjectives_HighCarb','JointModelsObjectives','-v7.3');

% FP/ LP

load HS_FPLP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','FPLP','HighCarb',false);

% FP/ ST

load HS_FPST;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','FPST','HighCarb',false);

% LP/ EC

load HS_LPEC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ECLP','HighCarb',false);

% ST/ EC

load HS_STEC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ECST','HighCarb',false);

% LP/ ST

load HS_LPST;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','LPST','HighCarb',false);

save(JointModelsObjectives_HighCarb','JointModelsObjectives','-v7.3');


%% Human/ five commensal microbes pooled

% BT/ FP/ EC/ LP/ ST

load HS_5CM;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','CF','HighCarb',false);

save(JointModelsObjectives_HighCarb','JointModelsObjectives','-v7.3');

%% Human + 5 pathogens

load HS_5PM;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','PM','HighCarb',false);

save(JointModelsObjectives_HighCarb','JointModelsObjectives','-v7.3');

%% Human + all 11 microbes

load HS_All;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighCarbRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ALL','HighCarb',false);
save(JointModelsObjectives_HighCarb','JointModelsObjectives','-v7.3');

%% HighFat diet Human %%%

JointModelsObjectives=[];
FVAJointModels=[];

% Germfree Human

load GF;
% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% enforce a minimal growth rate of 0.01
modelJoint = changeRxnBounds(modelJoint,'HSbiomass_reaction',0.01,'l');
% no oxygen uptake into lumen
modelJoint=changeRxnBounds(modelJoint,'HSIEX_o2[u]tr',0,'l');

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','GF','HighFat',false);

% Human/ B. thetaiotaomicron
load HS_BT;

modelJoint=minimalGrowthEnforcedRecon2(modelJoint);
% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BT','HighFat',false);

% Human/ F. prausnitzii

load HS_FP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','FP','HighFat',false);

% Human/ E. coli
load HS_EC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','EC','HighFat',false);

% Human/ L. plantarum
load HS_LP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','LP','HighFat',false);

% Human/ L. lactis
load HS_LL;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','LL','HighFat',false);

% Human/ S. thermophilus
load HS_ST;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ST','HighFat',false);

% Human/ H. pylori
load HS_HP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','HP','HighFat',false);

% Human/ K. pneumoneae
load HS_KP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','KP','HighFat',false);

% Human/ Salmonella e. serovar typhimurium
load HS_STy;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','STy','HighFat',false);

% Human/ E. coli EHEC Sakai
load HS_ECs;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ECs','HighFat',false);

% Human/ E. coli EDL933
load HS_ECe;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ECe','HighFat',false);

%% Human\ two commensal microbes
% BT/ FP

load HS_BTFP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BTFP','HighFat',false);

% BT/ EC

load HS_BTEC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BTEC','HighFat',false);

% BT/ LP

load HS_BTLP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BTLP','HighFat',false);

save(JointModelsObjectives_HighFat','JointModelsObjectives','-v7.3');

% BT/ ST

load HS_BTST;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BTST','HighFat',false);

% FP/ EC

load HS_FPEC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','FPEC','HighFat',false);

save(JointModelsObjectives_HighFat','JointModelsObjectives','-v7.3');

% FP/ LP

load HS_FPLP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','FPLP','HighFat',false);

% FP/ ST

load HS_FPST;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','FPST','HighFat',false);

% LP/ EC

load HS_LPEC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ECLP','HighFat',false);

% ST/ EC

load HS_STEC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ECST','HighFat',false);


% LP/ ST

load HS_LPST;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','LPST','HighFat',false);

save(JointModelsObjectives_HighFat','JointModelsObjectives','-v7.3');


%% Human/ five commensal microbes pooled

% BT/ FP/ EC/ LP/ ST

load HS_5CM;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','CF','HighFat',false);
% CF = commensal flora

save(JointModelsObjectives_HighFat','JointModelsObjectives','-v7.3');

%% Human + 5 pathogens

load HS_5PM;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','PM','HighFat',false);

save(JointModelsObjectives_HighFat','JointModelsObjectives','-v7.3');

%% Human + all 11 microbes

load HS_All;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighFatRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ALL','HighFat',false);
save(JointModelsObjectives_HighFat','JointModelsObjectives','-v7.3');

%% HighProtein diet Human %%%

JointModelsObjectives=[];
FVAJointModels=[];

% Germfree Human

load GF;
% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% enforce a minimal growth rate of 0.01
modelJoint = changeRxnBounds(modelJoint,'HSbiomass_reaction',0.01,'l');
% no oxygen uptake into lumen
modelJoint=changeRxnBounds(modelJoint,'HSIEX_o2[u]tr',0,'l');

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','GF','HighProtein',false);

% Human/ B. thetaiotaomicron
load HS_BT;

modelJoint=minimalGrowthEnforcedRecon2(modelJoint);
% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BT','HighProtein',false);

% Human/ F. prausnitzii

load HS_FP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','FP','HighProtein',false);

% Human/ E. coli
load HS_EC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','EC','HighProtein',false);

% Human/ L. plantarum
load HS_LP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','LP','HighProtein',false);

% Human/ L. lactis
load HS_LL;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','LL','HighProtein',false);

% Human/ S. thermophilus
load HS_ST;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ST','HighProtein',false);

% Human/ H. pylori
load HS_HP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','HP','HighProtein',false);

% Human/ K. pneumoneae
load HS_KP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','KP','HighProtein',false);

% Human/ Salmonella e. serovar typhimurium
load HS_STy;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','STy','HighProtein',false);

% Human/ E. coli EHEC Sakai
load HS_ECs;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ECs','HighProtein',false);

% Human/ E. coli EDL933
load HS_ECe;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ECe','HighProtein',false);


%% Human\ two commensal microbes
% BT/ FP

load HS_BTFP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BTFP','HighProtein',false);

% BT/ EC

load HS_BTEC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BTEC','HighProtein',false);

% BT/ LP

load HS_BTLP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BTLP','HighProtein',false);

save(JointModelsObjectives_HighProtein','JointModelsObjectives','-v7.3');

% BT/ ST

load HS_BTST;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','BTST','HighProtein',false);

% FP/ EC

load HS_FPEC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','FPEC','HighProtein',false);

save(JointModelsObjectives_HighProtein','JointModelsObjectives','-v7.3');

% FP/ LP

load HS_FPLP;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','FPLP','HighProtein',false);


% FP/ ST

load HS_FPST;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','FPST','HighProtein',false);

% LP/ EC

load HS_LPEC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ECLP','HighProtein',false);

% ST/ EC

load HS_STEC;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ECST','HighProtein',false);

% LP/ ST

load HS_LPST;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','LPST','HighProtein',false);

save(JointModelsObjectives_HighProtein','JointModelsObjectives','-v7.3');

%% Human/ five commensal microbes pooled

% BT/ FP/ EC/ LP/ ST

load HS_5CM;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','CF','HighProtein',false);
% CF = commensal flora

save(JointModelsObjectives_HighProtein','JointModelsObjectives','-v7.3');

%% Human + 5 pathogens

load HS_5PM;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','PM','HighProtein',false);

save(JointModelsObjectives_HighProtein','JointModelsObjectives','-v7.3');


%% Human + all 11 microbes

load HS_All;

% What biomass reactions are in the model? If found, then enforce a minimal
% growth rate of 0.01
modelJoint=minimalGrowthEnforcedRecon2(modelJoint);

% assign diet
modelJoint=changeDietHighProteinRecon2(modelJoint);

% test different objectives
[JointModelsObjectives, FVAJointModels]=performObjectivesRecon2(JointModelsObjectives,FVAJointModels,modelJoint,'HS','ALL','HighProtein',false);

save(JointModelsObjectives_HighProtein','JointModelsObjectives','-v7.3');


